import { Id } from '..';
import { ChangeAction } from '../changes';
declare type ChangeType = {
    /** The type of the target file. */
    type: 'document' | 'folder';
};
export declare type FileLevelMoveParams = ChangeType & {
    /** The ID of the document or folder to move. */
    file_id: Id;
    /** The ID of the parent folder to move the target file to. */
    parent_id: Id;
    /** The zero-indexed position the file should be in the parent folder, supply -1 to place it at the end. */
    index: number;
};
export declare type FileLevelEditParams = ChangeType & {
    /** The ID of the document or folder to edit. */
    file_id: Id;
    /** The new document or folder's title. */
    title: string;
};
export declare type FileLevelCreateParams = ChangeType & {
    /** The ID of the parent folder to create the target file in. */
    parent_id: Id;
    /** The zero-indexed position the file should be in the parent folder, supply -1 to place it at the end. */
    index: number;
    /** The new document or folder's title. */
    title?: string;
};
declare type FileLevelMove = ChangeAction<'move'> & FileLevelMoveParams;
declare type FileLevelEdit = ChangeAction<'edit'> & FileLevelEditParams;
declare type FileLevelCreate = ChangeAction<'create'> & FileLevelCreateParams;
export declare type FileLevelChange = FileLevelMove | FileLevelEdit | FileLevelCreate;
export {};
