import { Id } from './api-types';
export declare type ArrayNode<T> = T & {
    id: Id;
    children?: Id[];
};
export declare type TreeNode<T> = T & {
    id: Id;
    children?: TreeNode<T>[];
};
/**
 * Converts an array of nodes which have an id and their children's ids, to a tree.
 * The root is the node with the id `rootId`. If it doesn't exist return null.
 */
export default function buildTree<T>(arrayNodes: readonly ArrayNode<T>[], rootId: Id): TreeNode<T> | null;
